/*
package cn.sikey.hmd.enums;

import cn.hutool.core.util.ArrayUtil;
import cn.sikey.framework.common.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

*/
/**
 * 图灵等级状态
 * 固定值1,2,3 分别对应的是下面这三个套餐
 * （1） 基础包：每天调用次数 ≤ 5次
 * （2）年包： 每天调用次数 > 5次（无限制次数） 启用日期起，365天内有效
 * （3）终身包：每天调用次数 > 5次（无限制次数） 启用日期起，8年使用周期
 *//*

@AllArgsConstructor
@Getter
public enum TulingLevelEnum implements IntArrayValuable {

    BASIC_PACKAGE(1, "基础包"), ANNUAL_PACKAGE(2, "年包"), LIFETIME_PACKAGE(3, "终身包");

    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(TulingLevelEnum::getValue).toArray();

    */
/**
     * value
     *//*

    private final Integer value;

    */
/**
     * name
     *//*

    private final String name;

    public static TulingLevelEnum valueOf(Integer value) {
        return ArrayUtil.firstMatch(level -> level.getValue().equals(value), TulingLevelEnum.values());
    }

    @Override
    public int[] array() {
        return ARRAYS;
    }
}
*/
